package com.fuzamei.dao;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.fuzamei.entity.ContractRecord;
import com.fuzamei.entity.ContractStatusTracking;
import com.fuzamei.mapperInterface.ContractManagementMapper;

@Repository
public class ContractManagementDao {
	
	@Autowired
	private ContractManagementMapper contractManagementMapper;

	public List<ContractStatusTracking> queryContractStatusTracking(Map<String, Object> map) {
		return contractManagementMapper.queryContractStatusTracking(map);
	}

	public int findAllContractStatusTrackingInformation(Map<String, Object> map) {
		return contractManagementMapper.findAllContractStatusTrackingInformation(map);
	}

	public List<ContractRecord> queryContractRecord(Map<String, Object> map) {
		return contractManagementMapper.queryContractRecord(map);
	}

	public int findAllContractRecordInformation(Map<String, Object> map) {
		return contractManagementMapper.findAllContractRecordInformation(map);
	}

	public ContractStatusTracking getContractStatusTrackingByBusinessId(Integer businessId) {
		return contractManagementMapper.getContractStatusTrackingByBusinessId(businessId);
	}
}
